com.sun.jna.platform.win32

## Class WinNT.SECURITY_QUALITY_OF_SERVICE

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinNT.SECURITY_QUALITY_OF_SERVICE

- Enclosing interface:
    WinNT

      public static class WinNT.SECURITY_QUALITY_OF_SERVICE
      extends Structure

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByReference, Structure.ByValue, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `ContextTrackingMode` Specifies whether the server is to be given a snapshot of the client's security context (called static tracking), or is to be continually updated to track changes to the client's security context (called dynamic tracking).
    `byte` | `EffectiveOnly` Specifies whether the server may enable or disable privileges and groups that the client's security context may include.
    `static java.util.List<java.lang.String>` | `FIELDS`
    `int` | `ImpersonationLevel` Specifies the information given to the server about the client, and how the server may represent, or impersonate, the client.
    `int` | `Length` Specifies the size, in bytes, of this structure.

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WinNT.SECURITY_QUALITY_OF_SERVICE()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.util.List<java.lang.String>` | `getFieldOrder()` Return this Structure's field names in their proper order.
    `void` | `write()` Writes the fields of the struct to native memory

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### FIELDS

          public static final java.util.List<java.lang.String> FIELDS

    - #### Length

          public int Length

      Specifies the size, in bytes, of this structure.

    - #### ImpersonationLevel

          public int ImpersonationLevel

      Specifies the information given to the server about the client, and how the server may represent, or impersonate, the client. Security impersonation levels govern the degree to which a server process can act on behalf of a client process. This member is a `WinNT.SECURITY_IMPERSONATION_LEVEL` enumeration type value.

    - #### ContextTrackingMode

          public byte ContextTrackingMode

      Specifies whether the server is to be given a snapshot of the client's security context (called static tracking), or is to be continually updated to track changes to the client's security context (called dynamic tracking). The `WinNT.SECURITY_STATIC_TRACKING` value specifies static tracking, and the `WinNT.SECURITY_DYNAMIC_TRACKING` value specifies dynamic tracking. Not all communications mechanisms support dynamic tracking; those that do not will default to static tracking.

    - #### EffectiveOnly

          public byte EffectiveOnly

      Specifies whether the server may enable or disable privileges and groups that the client's security context may include.

      This is a boolean value. See `WinNT.BOOLEAN_TRUE` and `WinNT.BOOLEAN_FALSE`.

  - ### Constructor Detail

    - #### WinNT.SECURITY_QUALITY_OF_SERVICE

          public WinNT.SECURITY_QUALITY_OF_SERVICE()

  - ### Method Detail

    - #### write

          public void write()

      Description copied from class: `Structure`
      Writes the fields of the struct to native memory
      Overrides:
        `write` in class `Structure`

    - #### getFieldOrder

          protected java.util.List<java.lang.String> getFieldOrder()

      Description copied from class: `Structure`
      Return this Structure's field names in their proper order. For example,

           protected List getFieldOrder() {
               return Arrays.asList(new String[] { ... });
           }

      IMPORTANT When deriving from an existing Structure subclass, ensure that you augment the list provided by the superclass, e.g.

           protected List getFieldOrder() {
               List fields = new ArrayList(super.getFieldOrder());
               fields.addAll(Arrays.asList(new String[] { ... }));
               return fields;
           }

      Field order must be explicitly indicated, since the field order as returned by `Class.getFields()` is not guaranteed to be predictable.
      Specified by:
        `getFieldOrder` in class `Structure`
      Returns:
        ordered list of field names

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.